﻿.feature-section {
    padding: 3rem 0;
    background: #fff;
}

.container {
    max-width: 1200px;
    margin: auto;
    padding: 0 24px;
}


.feature-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 4rem;
    align-items: center;
    margin-bottom: 6rem;
}

.feature-grid.reverse {
    direction: rtl;
}

.feature-grid.reverse > * {
    direction: ltr;
}

.feature-text h3 {
    font-size: 2rem;
    margin-bottom: 1rem;
    font-weight: normal;
}

.feature-text p {
    font-size: 1.1rem;
    color: #4A5568;
    margin-bottom: 1.5rem;
}

.feature-text ul {
    list-style: none;
    padding: 0;
    margin-bottom: 2rem;
}

.feature-text li {
    margin-bottom: 0.8rem;
    color: #4A5568;
}

.feature-image img {
    width: 100%;
    border-radius: 20px;
    box-shadow: 0 20px 40px rgba(0,0,0,.15);
}

.badge {
    display: flex;
    background: #eef2ff;
    color: #0754DA;
    padding: 6px 14px;
    border-radius: 20px;
    margin-bottom: 1rem;
    font-size: 0.9rem;
    justify-content: center;
    align-items: center;
    max-width: max-content;
    gap: 5px;
    font-weight: normal;
}

.btn-primary,
.btn-secondary {
    display: inline-block;
    padding: 14px 28px;
    border-radius: 30px;
    text-decoration: none;
    font-weight: bold;
}

.btn-primary {
    background: #0754DA;
    color: white;
    cursor: pointer;
}

.btn-secondary {
    background: #FFFFFF;
    color: #0754DA;
}

@media (max-width: 768px) {
    .feature-image img {
        display: none !important;
    }

    .feature-grid {
        gap: 0;
        grid-template-columns: 1fr;
    }

    .btn-primary, .btn-secondary {
        padding: 14px 20px;
    }

    .feature-text a{
        display: block;
        width: 100%;
        text-align: center;
    }
}